%define anolis_release 1

Name:           ceres-solver
Version:        2.2.0
Release:        %{anolis_release}%{?dist}
Summary:        C++ library for modeling and solving large, complicated optimization problems

License:        Apache 2.0
URL:            https://github.com/ceres-solver/ceres-solver
Source0:        https://github.com/ceres-solver/ceres-solver/archive/refs/tags/2.2.0.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  eigen3-devel
BuildRequires:  glog-devel
BuildRequires:  gflags-devel

%package        devel
Summary:        A non-linear least squares minimizer
Requires:       %{name} = %{version}-%{release}
Requires:       eigen3-devel
Requires:       gflags-devel
Requires:       glog-devel
Requires:       suitesparse-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description
Ceres Solver is an open source C++ library for modeling and solving large, complicated optimization problems. It is a feature rich, mature and performant library which has been used in production at Google since 2010. Ceres Solver can solve two kinds of problems.
Non-linear Least Squares problems with bounds constraints.
General unconstrained optimization problems.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake \
  -DCXSPARSE_INCLUDE_DIR:PATH=%{_includedir}/suitesparse \
  %{cmake_blas_flags} \
  -DGFLAGS_INCLUDE_DIR=%{_includedir}
%cmake_build

%install
%cmake_install

%check
#%{__python3} setup.py test
# check is disabled since it requires network access

%files
%doc README.md
%license LICENSE
%{_libdir}/libceres.so.4
%{_libdir}/libceres.so.2.2.0

%files devel
%{_includedir}/ceres/
%{_libdir}/libceres.so
%{_libdir}/cmake/Ceres
%changelog
* Wed Jan 3 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.2.0-1
- Update to 2.2.0.
